czan pushed a commit to branch master
in repository shepherd.

commit 766c4dccfa6e956a41d6e4d42d08d9b13a880d21
Author: Carlo Zancanaro <ca...@zancanaro.id.au>
Date:   Mon Mar 26 14:44:18 2018 +1100

    Update Guile dependency to 2.0.13 or later
    
    * README (Requirements): Change 2.x to 2.0.13 or later.
    * configure.ac: Check for 2.0.13 or later if Guile 2.0 is detected.
---
 README       | 7 ++++---
 configure.ac | 4 ++++
 2 files changed, 8 insertions(+), 3 deletions(-)

diff --git a/README b/README
index 88613aa..1237e2c 100644
--- a/README
+++ b/README
@@ -16,9 +16,10 @@ daemon-managing daemon.
 ** Requirements
 
 This program requires Guile (the GNU Ubiquitous Intelligent Language
-for Extension), version 2.x.  It uses GOOPS, but as GOOPS is part of
-Guile, a normal Guile installation is sufficient.  It also uses
-readline, though it does not really depend on it.
+for Extension), version 2.0.13 or later (including 2.2.x).  It uses
+GOOPS, but as GOOPS is part of Guile, a normal Guile installation is
+sufficient.  It also uses readline, though it does not really depend
+on it.
 
 GNU Make is required to build the Shepherd.
 
diff --git a/configure.ac b/configure.ac
index d768885..9d8c2aa 100644
--- a/configure.ac
+++ b/configure.ac
@@ -27,6 +27,10 @@ GUILE_PKG([2.2 2.0])
 dnl Checks for programs.
 GUILE_PROGS
 
+if test "x$GUILE_EFFECTIVE_VERSION" = "x2.0"; then
+  PKG_CHECK_MODULES([GUILE], [guile-2.0 >= 2.0.13])
+fi
+
 guilemoduledir="${datarootdir}/guile/site/$GUILE_EFFECTIVE_VERSION"
 guileobjectdir="${libdir}/guile/$GUILE_EFFECTIVE_VERSION/site-ccache"
 AC_SUBST([guilemoduledir])

Reply via email to